Class GCPnts_TangentialDeflection
Hierarchy
- GCPnts_TangentialDeflection
Methods
AddPoint
- AddPoint(thePnt: gp_Pnt, theParam: number, theIsReplace: boolean): Graphic3d_ZLayerId
Parameters
theParam: number
theIsReplace: boolean
Returns Graphic3d_ZLayerId
Initialize_1
- Initialize_1(theC: Adaptor3d_Curve, theAngularDeflection: number, theCurvatureDeflection: number, theMinimumOfPoints: Graphic3d_ZLayerId, theUTol: number, theMinLen: number): void
Parameters
theAngularDeflection: number
theCurvatureDeflection: number
theMinimumOfPoints: Graphic3d_ZLayerId
theUTol: number
theMinLen: number
Returns void
Initialize_2
- Initialize_2(theC: Adaptor3d_Curve, theFirstParameter: number, theLastParameter: number, theAngularDeflection: number, theCurvatureDeflection: number, theMinimumOfPoints: Graphic3d_ZLayerId, theUTol: number, theMinLen: number): void
Parameters
theFirstParameter: number
theLastParameter: number
theAngularDeflection: number
theCurvatureDeflection: number
theMinimumOfPoints: Graphic3d_ZLayerId
theUTol: number
theMinLen: number
Returns void
Initialize_3
- Initialize_3(theC: Adaptor2d_Curve2d, theAngularDeflection: number, theCurvatureDeflection: number, theMinimumOfPoints: Graphic3d_ZLayerId, theUTol: number, theMinLen: number): void
Parameters
theAngularDeflection: number
theCurvatureDeflection: number
theMinimumOfPoints: Graphic3d_ZLayerId
theUTol: number
theMinLen: number
Returns void
Initialize_4
- Initialize_4(theC: Adaptor2d_Curve2d, theFirstParameter: number, theLastParameter: number, theAngularDeflection: number, theCurvatureDeflection: number, theMinimumOfPoints: Graphic3d_ZLayerId, theUTol: number, theMinLen: number): void
Parameters
theFirstParameter: number
theLastParameter: number
theAngularDeflection: number
theCurvatureDeflection: number
theMinimumOfPoints: Graphic3d_ZLayerId
theUTol: number
theMinLen: number
Returns void
NbPoints
- NbPoints(): Graphic3d_ZLayerId
Returns Graphic3d_ZLayerId
Parameter
- Parameter(I: Graphic3d_ZLayerId): number
Value
- Value(I: Graphic3d_ZLayerId): gp_Pnt
Static ArcAngularStep
- ArcAngularStep(theRadius: number, theLinearDeflection: number, theAngularDeflection: number, theMinLength: number): number
Parameters
theRadius: number
theLinearDeflection: number
theAngularDeflection: number
theMinLength: number
Returns number